<?php
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit; // Evita l'accesso diretto ai file
}

global $wpdb;
$table_name = $wpdb->prefix . 'file_downloads';

// Rimuovi la tabella dal database
$wpdb->query("DROP TABLE IF EXISTS $table_name");

// Rimuovi la cartella dei download
$upload_dir = wp_upload_dir();
$downloads_dir = $upload_dir['basedir'] . '/downloads';

if (file_exists($downloads_dir)) {
    // Rimuovi tutti i file nella cartella
    $files = glob($downloads_dir . '/*'); 
    foreach ($files as $file) { 
        if (is_file($file)) {
            unlink($file); // Rimuovi il file
        }
    }
    // Rimuovi la cartella
    rmdir($downloads_dir);
}

// Rimuovi la cartella del plugin
$plugin_dir = plugin_dir_path(__FILE__);
if (is_dir($plugin_dir)) {
    $files = glob($plugin_dir . '/*'); 
    foreach ($files as $file) { 
        if (is_file($file)) {
            unlink($file); // Rimuovi il file
        }
    }
    rmdir($plugin_dir);
}
?>
